/**
 * Copyright oceanwebguru.com 2022
 * PrestaShop is an International Registered Trademark & Property of PrestaShop SA
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License version 3.0
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author    Radadiya Ajay <aradadiya163@rest.com>
 * @copyright oceanwebguru.com 2022
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License version 3.0
 * @version   1.0
 * oceanwebguru.com
 * Languages: EN
 * PS version: 1.6
**/
jQuery(document).ready(function(){


  jQuery('#ocpsmultiproduct').select2({
    minimumInputLength: 1
  });
  jQuery('#ocpsmultiproductcate').select2({
    // minimumInputLength: 1
  });
  jQuery('#ocpsmulticmspages').select2({
    // minimumInputLength: 1,
    //closeOnSelect: false
  });
  jQuery('#ocpsmulticmscate').select2({
    // minimumInputLength: 1
  });

  Coloris({
    alpha: true,
    theme: 'pill',
    themeMode: 'dark',
    formatToggle: true,
    closeButton: true,
    clearButton: true,
     swatches: [
        '#067bc2',
        '#24b9d7',
        '#84bcda',
        '#80e377',
        '#ecc30b',
        '#f37748',
        '#d56062',
        '#023e8a',
        '#0077b6',
        '#0096c7',
        '#00b4d8',
        '#48cae4'
      ]
  });

  var ocpsallguestuser = jQuery('input[name="OCPS_FORGUEST_USERS"]:checked').val();
  if(ocpsallguestuser == 'yes'){
    jQuery('.ocpsprivateshop').hide(500);
  }

  jQuery('input[name="OCPS_FORGUEST_USERS"]').on('click',function(){
    // console.log(jQuery(this).val());
    var ocpschecguestuser = jQuery(this).val();
    if (ocpschecguestuser == 'yes') {
      jQuery('.ocpsprivateshop').hide(500);
    } else {
      jQuery('.ocpsprivateshop').show(500);
    }
  })


});
